Subject: Re: [PATCH 0/3] Another approach to large transactions

From: Jeff King <[email-masked]>
Date: Wed, 22 Apr 2015 16:11:26 -0400

On Wed, Apr 22, 2015 at 12:14:08PM -0700, Stefan Beller wrote:

> > FWIW, we already use a magic value of "25 extra" in open_packed_git_1. I
> > don't know if that means the number has been proven in practice, or if
> > it is simply that nobody actually exercises the pack_max_fds code. I
> > suspect it is the latter, especially since d131b7a (sha1_file.c: Don't
> > retain open fds on small packs, 2011-03-02).
> 
> 25 is equally sound as I could not find any hard calculation on that
> number in the
> history or code. I will change it to 25 in the next version of the patch.

FWIW, I think 32 is just fine, too, and the patch doesn't need re-rolled
because of this. I mostly wanted to point out that yes, indeed, we use
this "eh, a few dozen is probably enough" strategy elsewhere. Which
maybe, sort-of validates it. :)

-Peff